Search found 2806 matches

Go to advanced search

by mario52
Sat Feb 22, 2020 1:58 pm
Forum: Python scripting and macros
Topic: [solved] Cut two polygons in 2D
Replies: 4
Views: 69

Re: Cut two polygons in 2D

hi Find intersection of a line with a Part2DObject s = FreeCADGui.Selection.getSelection() sect = s[0].Shape.section(s[1].Shape) points = sect.Vertexes for i in points: print(i.Point) other How to intersect a line with a part Intersection between two Draft objects DraftGeomUtils.findIntersection(lin...
by mario52
Wed Feb 19, 2020 11:01 am
Forum: Forum français
Topic: Indication de couleur dans l'éditeur de paramètres
Replies: 4
Views: 130

Re: Indication de couleur dans l'éditeur de paramètres

Bonjour Hexadécimal 0x ff 55 33 ff décortiqué en décimal (lire de la droite vers la gauche: 4 octets) ff = 255 = transparence (octet 1) 33 = 51 (décimal) = Bleu 55 = 85 (décimal) = Vert ff = 255 (décimal) = Rouge 0x = code Python Rouge , Vert , Bleu , Transparence ( 255*256*256*256 ) + ( 85*256*256 ...
by mario52
Mon Feb 17, 2020 9:44 pm
Forum: Open discussion
Topic: Color bug ?
Replies: 7
Views: 176

Re: Color bug ?

hi DiffuseColor give the good color (visuel) 0.43529412150382996 * 255.0 = 111.00000098347664 for o in App.ActiveDocument.Objects: print(o.ViewObject.DiffuseColor) [(0.43529412150382996, 0.43529412150382996, 0.43529412150382996, 0.0), (0.43529412150382996, 0.43529412150382996, 0.43529412150382996, 0...
by mario52
Sun Feb 16, 2020 12:51 pm
Forum: Wiki
Topic: The minor errors I encountered during the translation
Replies: 17
Views: 436

Re: The minor errors I encountered during the translation

hi

the pages existe Template:UnfinishedDocu/pl

you must just adding " /pl " and if the page not exist you must create it

Code: Select all

{{UnfinishedDocu/pl|Populate Usage section}}

Code: Select all

{{UnfinishedDocu/pl}}
mario
by mario52
Sun Feb 16, 2020 12:16 pm
Forum: Help on using FreeCAD
Topic: Rotate a profile perpendicular to an edge
Replies: 3
Views: 116

Re: Rotate a profile perpendicular to an edge

hi

with Macro_Perpendicular_To_Wire Image
select
1: the path
2: the square run the macro

Image


mario
by mario52
Sat Feb 15, 2020 1:56 pm
Forum: Help on using FreeCAD
Topic: Translating an object along it's axis?
Replies: 11
Views: 221

Re: Translating an object along it's axis?

Hi

ok, this function is available in Placement but not very documented "Deplacement along point to point"

Placement dialog -- arbitrary vertex as center of rotation

mario
by mario52
Sat Feb 15, 2020 1:51 pm
Forum: Wiki
Topic: The minor errors I encountered during the translation
Replies: 17
Views: 436

Re: The minor errors I encountered during the translation

hi

no problem you can correct my "Google translation"

mario

Go to advanced search